Package uk.ac.starlink.vo

# Interface UwsJob.JobWatcher

Enclosing class:
  `UwsJob`

public static interface UwsJob.JobWatcher
Callback interface for objects wanting to be notified of job status changes.

## Method Summary

Modifier and Type
Method
Description
`void`
`jobUpdated(UwsJob job, UwsJobInfo info)`
Called when the job status has changed.

## Method Details

### jobUpdated

void jobUpdated(UwsJob job, UwsJobInfo info)
Called when the job status has changed. Usually, this means a change of the Phase.

Parameters:
  `job` - job in question
  `info` - new status